# CI configuration which tests against supported Django and Python versions.
include:
  - project: 'uis/devops/continuous-delivery/ci-templates'
    file: '/auto-devops/common-pipeline.yml'
    ref: v3.6.0

variables:
  # we don't have an application for DAST to run against, so disable it
  DAST_DISABLED: "1"
  # we don't build any Docker images
  BUILD_DISABLED: "1"

python:tox:
  parallel:
    matrix:
      - DJANGO_VERSION: ["django3.2", "django4.1", "django4.2"]
        PYTHON_VERSION: ["3.10", "3.11"]
        TOX_ENV: py3  # Bare "py3" required to upload coverage and unit test reports.
  variables:
    TOX_ENV: py3-$DJANGO_VERSION
    TOX_OPTS: -e $TOX_ENV
    TOX_REQUIREMENT: tox==4.11.4
    TOX_ADDITIONAL_REQUIREMENTS: poetry==1.7.1
